Loading...
Searching...
No Matches
itk::ANNbdTree< TListSample > Class Template Reference
Common » ANNwrap

`#include <itkANNbdTree.h>`

## Detailed Description

template<class TListSample>
class itk::ANNbdTree< TListSample >

Definition at line 36 of file itkANNbdTree.h.

Inheritance diagram for itk::ANNbdTree< TListSample >:
[legend]

## Public Types

using | ANNkDTreeType
using | ANNPointSetType
using | BucketSizeType
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = ANNbdTree
using | ShrinkingRuleType = ANNshrinkRule
using | SplittingRuleType
using | Superclass = ANNkDTree<TListSample>
Public Types inherited from itk::ANNkDTree< TListSample >
using | ANNkDTreeType = ANNkd_tree
using | ANNPointSetType = ANNpointSet
using | BucketSizeType = unsigned int
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = ANNkDTree
using | SplittingRuleType = ANNsplitRule
using | Superclass = BinaryANNTreeBase<TListSample>
Public Types inherited from itk::BinaryANNTreeBase< TListSample >
using | ANNPointSetType = ANNpointSet
using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType
using | MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType
using | Self = BinaryANNTreeBase
using | Superclass = BinaryTreeBase<TListSample>
using | TotalAbsoluteFrequencyType
Public Types inherited from itk::BinaryTreeBase< TListSample >
using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType = typename SampleType::MeasurementVectorSizeType
using | MeasurementVectorType = typename SampleType::MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType = TListSample
using | Self = BinaryTreeBase
using | Superclass = DataObject
using | TotalAbsoluteFrequencyType = typename SampleType::TotalAbsoluteFrequencyType

## Public Member Functions

void | GenerateTree () override
virtual const char * | GetClassName () const
std::string | GetShrinkingRule ()
virtual ShrinkingRuleType | GetShrinkingRule () const
| ITK_DISALLOW_COPY_AND_MOVE (ANNbdTree)
void | SetShrinkingRule (const std::string &rule)
virtual void | SetShrinkingRule (ShrinkingRuleType _arg)
Public Member Functions inherited from itk::ANNkDTree< TListSample >
void | GenerateTree () override
ANNPointSetType * | GetANNTree () const override
virtual BucketSizeType | GetBucketSize () const
std::string | GetSplittingRule ()
virtual SplittingRuleType | GetSplittingRule () const
| ITK_DISALLOW_COPY_AND_MOVE (ANNkDTree)
virtual void | SetBucketSize (BucketSizeType _arg)
void | SetSplittingRule (const std::string &rule)
virtual void | SetSplittingRule (SplittingRuleType _arg)
Public Member Functions inherited from itk::BinaryANNTreeBase< TListSample >
| ITK_DISALLOW_COPY_AND_MOVE (BinaryANNTreeBase)
Public Member Functions inherited from itk::BinaryTreeBase< TListSample >
TotalAbsoluteFrequencyType | GetActualNumberOfDataPoints () const
MeasurementVectorSizeType | GetDataDimension () const
TotalAbsoluteFrequencyType | GetNumberOfDataPoints () const
virtual const SampleType * | GetSample ()
| ITK_DISALLOW_COPY_AND_MOVE (BinaryTreeBase)
virtual void | SetSample (SampleType *_arg)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::ANNkDTree< TListSample >
static Pointer | New ()

## Protected Member Functions

| ANNbdTree ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~ANNbdTree () override=default
Protected Member Functions inherited from itk::ANNkDTree< TListSample >
| ANNkDTree ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~ANNkDTree () override
Protected Member Functions inherited from itk::BinaryANNTreeBase< TListSample >
| BinaryANNTreeBase ()=default
| ~BinaryANNTreeBase () override=default
Protected Member Functions inherited from itk::BinaryTreeBase< TListSample >
| BinaryTreeBase ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~BinaryTreeBase () override=default

## Protected Attributes

ShrinkingRuleType | m_ShrinkingRule {}
Protected Attributes inherited from itk::ANNkDTree< TListSample >
ANNkDTreeType * | m_ANNTree {}
BucketSizeType | m_BucketSize {}
SplittingRuleType | m_SplittingRule {}

## Member Typedef Documentation

## ANNkDTreeType

template<class TListSample>

using itk::ANNkDTree< TListSample >::ANNkDTreeType

Definition at line 61 of file itkANNkDTree.h.

## ANNPointSetType

template<class TListSample>

using itk::ANNkDTree< TListSample >::ANNPointSetType

Typedef's.

Definition at line 60 of file itkANNkDTree.h.

## BucketSizeType

template<class TListSample>

using itk::ANNkDTree< TListSample >::BucketSizeType

Definition at line 63 of file itkANNkDTree.h.

## ConstPointer

template<class TListSample>

using itk::ANNbdTree< TListSample >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkANNbdTree.h.

## Pointer

template<class TListSample>

using itk::ANNbdTree< TListSample >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkANNbdTree.h.

## Self

template<class TListSample>

using itk::ANNbdTree< TListSample >::Self = ANNbdTree

Standard itk.

Definition at line 42 of file itkANNbdTree.h.

## ShrinkingRuleType

template<class TListSample>

using itk::ANNbdTree< TListSample >::ShrinkingRuleType = ANNshrinkRule

Definition at line 63 of file itkANNbdTree.h.

## SplittingRuleType

template<class TListSample>

using itk::ANNkDTree< TListSample >::SplittingRuleType

Definition at line 62 of file itkANNkDTree.h.

## Superclass

template<class TListSample>

using itk::ANNbdTree< TListSample >::Superclass = ANNkDTree<TListSample>

Definition at line 43 of file itkANNbdTree.h.

## Constructor & Destructor Documentation

## ANNbdTree()

template<class TListSample>

itk::ANNbdTree< TListSample >::ANNbdTree | ( |  | ) |

protected

Constructor.

## ~ANNbdTree()

template<class TListSample>

itk::ANNbdTree< TListSample >::~ANNbdTree | ( |  | ) |

override protected default

Destructor.

## Member Function Documentation

## GenerateTree()

template<class TListSample>

void itk::ANNbdTree< TListSample >::GenerateTree | ( |  | ) |

override virtual

Generate the tree.

Implements itk::BinaryTreeBase< TListSample >.

## GetClassName()

template<class TListSample>

virtual const char * itk::ANNbdTree< TListSample >::GetClassName | ( |  | ) | const

virtual

ITK type info.

Reimplemented from itk::ANNkDTree< TListSample >.

## GetShrinkingRule() [1/2]

template<class TListSample>

std::string itk::ANNbdTree< TListSample >::GetShrinkingRule | ( |  | ) |

## GetShrinkingRule() [2/2]

template<class TListSample>

virtual ShrinkingRuleType itk::ANNbdTree< TListSample >::GetShrinkingRule | ( |  | ) | const

virtual

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TListSample>

itk::ANNbdTree< TListSample >::ITK_DISALLOW_COPY_AND_MOVE | ( | ANNbdTree< TListSample > |  | ) |

## New()

template<class TListSample>

Pointer itk::ANNbdTree< TListSample >::New | ( |  | ) |

static

New method for creating an object using a factory.

## PrintSelf()

template<class TListSample>

void itk::ANNbdTree< TListSample >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetShrinkingRule() [1/2]

template<class TListSample>

void itk::ANNbdTree< TListSample >::SetShrinkingRule | ( | const std::string & | rule | ) |

## SetShrinkingRule() [2/2]

template<class TListSample>

virtual void itk::ANNbdTree< TListSample >::SetShrinkingRule | ( | ShrinkingRuleType | _arg | ) |

virtual

Set and get the shrinking rule: it defines ...

## Field Documentation

## m_ShrinkingRule

template<class TListSample>

ShrinkingRuleType itk::ANNbdTree< TListSample >::m_ShrinkingRule {}

protected

Member variables.

Definition at line 90 of file itkANNbdTree.h.

Generated on 1768596610 for elastix by 1.15.0 |